Subject: Re: [PATCH v4 0/3] Isolate If-Modified-Since handling in gitweb

From: Jakub Narebski <[email-masked]>
Date: Tue, 27 Mar 2012 20:24:22 +0100

On Mon, 26 Mar 2012, W. Trevor King wrote:

> Sorry for the delay since my last message, it's been a busy week ;).

Thanks for working on this topic.  

BTW. we are in feature freeze currently, before release of v1.7.10.
 
> I'll be sending along three patches.  [...]
> [...] The first is a teensy patch to add `Status` 
> output to non-304 calls to git_feed().  Without it you'd have to get a
> bit more creative in the test suite.  If the status lines were left
> out intentionally, let me know, and I'll come up with another
> condition for those tests.

No, the status line was omitted unintentionally, thanks for fixing this.
I guess that web server (at least Apache) adds it if it is missing.

Though I am not sure how lack of "Status:" header is different from
incorrect "Status:" header for 'grep "Status: 304" gitweb.headers'...
 
> The second patch refactors and tests git_feed(), and the third patch
> adds i-m-s support to git_snapshot() with associated tests.
> 
> Changes since v3:
> * Patch 1/3 is completely new.
> * Split previous patch into 2/3 and 3/3.
> * Conditionals in 3/3 to avoid 404-ing on non-commits like v1.7.6^{tree}.
> * Added testing to both 2/3 and 3/3.
> * Reworked commit messages.

Good.

-- 
Jakub Narebski
Poland